<?php
$must_login            = true ;
$require_path          = '../../../' ;
$require_sub           = '../../' ;
require( $require_sub.'header.php' ) ;

if ( $boolean_login ){
    $status            = '201' ;

    $search_query      = '' ;
    if ( $array['search'] != '' ){
        $search_query .= " AND title LIKE '%".$array['search']."%'" ;
    }

    $query             = "SELECT category_id, title, file, created_at FROM catalog_category
                          WHERE deleted_at IS NULL AND category_type = 'main' " . $search_query ;
    $mysqli_query      = $mysqli->query( $query . " ORDER BY sortable ASC, created_at DESC LIMIT " . getLimit( $current ) ) ;

    if ( $mysqli_query->num_rows > 0 ){

        $status        = '200' ;

        $list          = [] ;
        while ( $row   = $mysqli_query->fetch_assoc() ){
            $row['id']      = dataFilter( $row['category_id'] ) ;
            $row['title']   = dataFilter( $row['title'] ) ;
            $row['file']    = ( $row['file'] != '' ? PATH.'uploads/CatalogCategory/b/'.$row['file'] : '' ) ;
            $list[]         = $row ;
        }

        $data['list']  = $list ;

    }
}

require( $require_sub.'footer.php' ) ;
?>